
/* Style for links */
a {
    color: black;
    text-decoration: none; /* Remove underline */
}

.sub-title {
	
    font-family: Futura;
	text-align: center;	
	font-size: 18px;
	margin-top: 100px;

}

.sub-title-first {
    font-family: Futura;
	text-align: justify;	
	font-size: 28px;
	margin-left: 5px;
	margin-right: 5px;
	justify-content: center;
	display: flex;
 	justify-content: center; /* Centre horizontalement */
  	align-items: center;    /* Centre verticalement */
}

/*.sub-title-first p{
	color:darkgray
}*/

.about-link{
    color: darkgrey;
}



/*Coool new about link*/
.card {
  position: relative;
  padding: 12px;
  border-radius: 14px;
  z-index: 1;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: #f0f0f0; /* Light background to make the text more visible */
}

.bg {
  position: absolute;
  top: 5px;
  left: 5px;
  right: 5px;
  bottom: 5px;
  z-index: 2;
  background: rgba(255, 255, 255, 0.65);
  backdrop-filter: blur(24px);
  border-radius: 10px;
  overflow: hidden;
  outline: 0px solid white;
  transition: all 0.2s ease-in-out;
	

}

.card:hover .bg {
  opacity: 0;
}



.blob {
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 50%;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: #66A2D9;
  opacity: 1;
  filter: blur(12px);
  animation: blob-bounce 5s infinite ease;
}

p.about-link {
  position: relative;
  z-index: 2;
  color: #333; /* Darker color for the text */
  font-size: 28px; /* Slightly larger text */
  text-align: center;
  margin: 0;
}



@keyframes blob-bounce {
  0% {
    transform: translate(-100%, -100%) translate3d(0, 0, 0);
  }
  25% {
    transform: translate(-100%, -100%) translate3d(100%, 0, 0);
  }
  50% {
    transform: translate(-100%, -100%) translate3d(100%, 100%, 0);
  }
  75% {
    transform: translate(-100%, -100%) translate3d(0, 100%, 0);
  }
  100% {
    transform: translate(-100%, -100%) translate3d(0, 0, 0);
  }
}

/*END Coool new about link*/

/* Navbar styles */
.navbar {
    display: flex; /* Flexbox for layout */
    justify-content: center; /* Center the navbar horizontally */
    align-items: center; /* Center items vertically */
    padding: 20px; /* Spacing around the navbar */
    /*position: relative; /* Required for absolute positioning of child elements */
}

/* Left and right sections of navbar */
.nav-left, .nav-right {
    display: flex;
    font-family: Futura;
    font-size: 32px;
    position: absolute;
}

/* Left side of navbar */
.nav-left {
    left: 4%; /* Positioning left */
    z-index: 10; /* Ensure it's on top of other elements */
}

/* Right side of navbar */
.nav-right {
    right: 4%; /* Positioning right */
}

/* Individual link styles */
.contact-link, .about-link {
    margin-right: 20px; /* Space between links */
}

/* Center the logo */
.nav-center {
    display: flex;
    justify-content: center;
    position: relative;
    flex-grow: 1;
}

.logo {
    width: 40%;
    height: auto;
    margin: 0;
    display: block;
}

/* Original logo size */


/* Smaller logo for scrolled state */



.lazy {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.lazy.loaded {
    opacity: 1;
}




/* Icon logos */
.mail-logo, .insta-logo {
    width: 45px;
    height: 45px;
    margin-left: 10px;
}

/* Optional: Remove left margin for first logo */
.mail-logo {
    margin-left: 0;
}

/* Separator line */
.separator {
    height: 1px;
    width: 80%;
    margin: 0px auto;
    background-color: transparent;
    border: none;
}

/* Vertical text */
.vertical-text {
	opacity:1 !important;
    position: fixed;
    bottom: 10px;
    left: 10px;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    font-family: Futura;
    font-size: 17px;
    margin: 0;
    line-height: 0.8;
    color: darkgrey;
    z-index: 1000;
}

/* Photo gallery */
.photo-gallery {
    display: flex;
    flex-wrap: wrap;
    width: 70%;
    margin: 20px auto;
}

.column {
    flex: 1 1 calc(50% - 20px);
    margin-right: 10px;
}

.column:last-child {
    margin-right: 0;
}

/* Photo item */


/*.photo-item {
    margin-bottom: 10px;
    break-inside: avoid;
}*/

.photo-item img {
    width: 100%;
    height: auto;
    display: block;
	cursor: pointer; /* Change to pointer on hover */

}

.photo-item .link img {
    /* Styling for linked images */
}



/* Caption text */
.caption {
    font-size: 18px;
    color: black;
    margin-top: 10px;
    font-family: Futura;
}

/* Effets de fondu pour l'apparition et la disparition des pages */


/* Footer */
footer {
    font-family: Futura;
    text-align: center;
}

/* Specific styling for the first gallery */


.gallery-1.photo-item{
	
	/*new*/
	position: relative; /* Important pour positionner correctement le pseudo-élément */
    /*display: inline-block;*/
	
}

.gallery-1 .photo-item img {
	transition: transform 0.3s ease-in-out; /* Smooth zoom effect */
    border-radius: 8px;
	margin-bottom: 10px;
	
}



.gallery-1 .photo-item:hover img {
    transform: scale(1.03); /* Slight zoom on hover */

}




/*Fin de pour le fond*/


.gallery-1 .caption {
    text-align: center;
    font-size: 16px;
    color: #333;
}

/* Specific styling for the second gallery (random-gallery) */
.gallery-2 .column {
    flex: 1 1 calc(50% - 20px); /* 2 columns for random gallery */
}

.gallery-2.photo-item {
    margin-bottom: 10px;
    break-inside: avoid;
	border-radius: 0px;
	
}

.gallery-2 .photo-item img {
	margin-bottom: 10px;
}



.gallery-2 .caption {
    font-size: 18px;
    color: black;
    text-align: left;
}

/* Modal for gallery 2 (random-gallery) */
.gallery-2 .modal {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.95);
    backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
}



.modal.fadeIn {
    animation: fadeIn 0.5s ease forwards; /* Animation de fondu en entrée */
}

.modal.fadeOut {
    animation: fadeOut 0.5s ease forwards; /* Animation de fondu en sortie */
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.95);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
        transform: scale(1);
    }
    to {
        opacity: 0;
        transform: scale(0.95);
    }
}

.modal-content {
    max-width: 95%;
    max-height: 95%;
    transition: transform 0.5s ease, opacity 0.5s ease; /* Transition douce */
}

.modal-content img {
    width: 100%; /* S'assure que l'image est responsive */
    height: auto; /* Maintient les proportions */
    display: block;
}

.close {
    font-size: 30px;
    position: absolute;
    top: 15px;
    right: 15px;
    cursor: pointer;
    color: cornflowerblue; /* Couleur blanche pour être visible sur le fond sombre */
}

.exit-message {
    position: absolute;
    left: 0px; /* Distance par rapport au bord gauche */
    top: 50%; /* Centre verticalement */
    transform: translateY(-50%) rotate(-90deg); /* Rotation pour rendre le texte vertical */
    font-family: Futura, sans-serif;
    font-size: 16px;
    color: cornflowerblue; /* Choisissez une couleur contrastante */
    opacity: 1; /* Affiché par défaut */
    white-space: nowrap; /* Empêche le texte de passer à la ligne */
    z-index: 1001; /* Assure que l'élément est au-dessus des autres */
    transition: opacity 0.5s ease; /* Ajoute une transition douce pour l'apparition */
}


.bottom-right-image {
    display: block;
    margin: 0 auto;
    margin-bottom: 20px; /* Adjust the spacing above the footer */
	
    max-width: 150px; /* Adjust the size if needed */
	
}



/* Responsive design for mobile */
@media (max-width: 720px) {
	body {
		margin:0px;
	}
	
	
	.card{
		margin-right: 15px;
		padding: 10px;
		width:auto;
	}
	
	.caption p {
        font-size: clamp(11px,2.5vw, 24px);
		text-align: justify;
		margin-bottom: 3px;
		margin-top:-6px;
	}
	
	.photo-item img{
        margin-bottom: 2px; /* Ensure this margin overrides other styles !important */
    }
	
	.gallery-1 .photo-item img {

		margin-bottom: 4px;
		border-radius: 5px;

	}
	
	.gallery-2 .photo-item img {

		margin-bottom: 4px;

	}
		
	.column {
		flex: 1 1 calc(50% - 20px);
		margin-right: 4px;
	}
	
    .nav-left, .nav-right {
        display: flex;
        font-family: Futura;
        font-size: 12px;
        position: absolute;
    }

    .contact-link, .about-link {
        margin-right: 10px; /* Reduce spacing between links */
    }
	
	p.about-link {
		font-size: clamp(18px, 4.2vw, 35px);
	}

    .nav-left {
        left: 2%;
        font-size: 25px;
    }

    .nav-right {
        right: 2%;
		flex-direction: column; /* Empile les éléments verticalement */
        align-items: center;
    }

    .mail-logo, .insta-logo {
        width: 34px;
        height: auto;
        margin-left: 0px;
		margin: 5px 0;
    }

    .logo {
        width: 60%;
        height: auto;
        margin: 0 auto;
        display: block;
    }
	
	.nav-center .logo {
		margin-left: 23%; /* Décale légèrement vers la droite */
	}
	
	.column {
		flex: 1 1 calc(50% - 20px); /* Chaque colonne prend 50% de la largeur moins les marges */
	}
	

    .vertical-text {
        bottom: 7px;
        left: 0;
        font-size: 13px;
        line-height: 0.2;
		        
		position: fixed;
        transition: opacity 0.5s ease;
        opacity: 1;
        color: yellow;
    }

    

    .photo-gallery {
        width: 100%;
    }
	
	.photo-item:hover img {
        transform: none; /* Supprime le zoom sur mobile */
    }
	
	.modal-content {
        max-width: 95%; /* Plus large sur mobile */
        max-height: 95%; /* Ajuster la hauteur */
        margin: 10px 0; /* Moins de marge en haut et en bas */
    }

    .close {
        font-size: 25px; /* Plus petite icône de fermeture sur mobile */
        top: 10px;
        right: 10px;
    }
	
	.exit-message {
		writing-mode: horizontal-tb; /* Change text direction to normal */
		position: absolute;
		top: 10px; /* Moves it to the top */
		left: 50%; /* Centers it horizontally */
		transform: translateX(-50%); /* Ensures perfect centering */
		font-size: 14px; /* Slightly smaller font size for mobile */
		color: cornflowerblue;
		opacity: 1; /* Ensures it's visible */
	}
	
	.sub-title-first {
		font-size: 20px;
	}
	
	.bottom-right-image {
		width:30%;
		margin-top: 15%;
	}
		
}



